# GimpUi.ColorSelection

    from gi.repository import GimpUi

    color_selection = GimpUi.ColorSelection(config=value)

Widget for doing a color selection.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Box
          - GimpUi.ColorSelection

## Methods

- GimpUi.ColorSelection.color_changed
- GimpUi.ColorSelection.get_color
- GimpUi.ColorSelection.get_notebook
- GimpUi.ColorSelection.get_old_color
- GimpUi.ColorSelection.get_right_vbox
- GimpUi.ColorSelection.get_show_alpha
- GimpUi.ColorSelection.reset
- GimpUi.ColorSelection.set_color
- GimpUi.ColorSelection.set_config
- GimpUi.ColorSelection.set_format
- GimpUi.ColorSelection.set_old_color
- GimpUi.ColorSelection.set_show_alpha
- GimpUi.ColorSelection.set_simulation

## Properties

- config

## Signals

- color-changed